Name: kde-accessibility-kmousetool
Version: 15.04.3
Release: %mkrel 1
Summary: A program that clicks the mouse for you
License: GPLv2+
URL:     http://accessibility.kde.org/
Source0: http://download.kde.org/stable/%{version}/src/kmousetool-%{version}.tar.xz
Group:   Graphical desktop/KDE4
BuildRequires:  kdelibs-devel
BuildRequires:  libxtst-devel

%description
A program for people whom it hurts to click the mouse.

%files
%{_kde_bindir}/kmousetool
%{_kde_appsdir}/kmousetool/
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_docdir}/HTML/en/kmousetool/
%{_kde_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/*.1*

%prep
%setup -q -n kmousetool-%version
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-only-show-in="KDE" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

